// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services','ngCordova'])

.run(function($ionicPlatform) {
    Parse.initialize("EDRWeErdxDBWMTK2r9K96oDfzNawGkseQ2Eda1fy", "ooVHaNiGiwsnk53aCr6iwUMdyIhDUSiuwe99llmS");
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
  });
})
  .config(function($stateProvider, $urlRouterProvider) {
    $urlRouterProvider.otherwise('/tab/home')

    $stateProvider
      .state('tab', {
        url: "/tab",
        abstract: true,
        templateUrl: "templates/tabs.html"
      })

      .state('tab.home', {
        url: '/home',
        views: {
          'tab-home': {
            templateUrl: 'templates/input.html',
            controller:'InputCtrl'
          }
        }
      })

      .state('tab.result', {
        cache: false,
        url: '/result',
        views: {
          'tab-result': {
            templateUrl: 'templates/result.html',
            controller:'ResultCtrl'
          }
        }
      });
  })
