angular.module('starter.services', [])

/**
 * A simple example service that returns some data.
 */
.factory('commonService', function() {
      var commonService={};

  return commonService;
})
  .factory('$localstorage', ['$window', function($window) {
    return {
      set: function(key, value) {
        $window.localStorage[key] = value;
      },
      get: function(key, defaultValue) {
        return $window.localStorage[key] || defaultValue;
      },
      setObject: function(key, value) {
        $window.localStorage[key] = JSON.stringify(value);
      },
      getObject: function(key) {
        return JSON.parse($window.localStorage[key] || '{}');
      },
      removeObject: function(key) {
        $window.localStorage.removeItem(key);
      },
      checkItem:function(key){
        return undefined != $window.localStorage.getItem(key)?true:false;
      }
    }
  }]);
